These documents are out of date

Please visit the page on the new documentation site for up to date information.

Command

$ npm install -g truffle

Requirements

  • NodeJS 5.0+ recommended.
  • Windows, Linux or Mac OS X

Truffle also requires that you have a running Ethereum client which supports the standard JSON RPC API (nearly all of them). There are many to choose from, and some better than others for development. We'll discuss them in detail in the next section.

Recommendations for Windows

If you're a Windows user, we recommend installing and using Truffle via Windows PowerShell or Git BASH. These two shells provide features far beyond the standard Command Prompt, and will make your life on the command line much easier.

If you must use the Command Prompt, please see this discussion about configuring Truffle.